#version 450 core
in vec2 vUv;
in vec4 vColor;

uniform sampler2D uAtlas;

out vec4 FragColor;

void main()
{
    float alpha = texture(uAtlas, vUv).r;
    FragColor = vec4(vColor.rgb, vColor.a * alpha);
}
